Page MenuHomePhabricator

Enable discussion tools on discussion pages on the Konkani Wiktionary
Closed, ResolvedPublic

Description

Please set discussion tools to be enabled by default on all discussion pages on the Konkani Wiktionary (gomwiktionary). We are primarily interested in the Reply tool. Here is the link to the local discussion.

Done

  • Reply Tool is available by default, for all logged in and logged out users, at gom.wikitionary
  • An update is posted to Talk_pages_project#Active_initiatives documenting this deployment

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 22 2020, 5:49 AM

However, you can try it out now follow instruction listed in T253943: Enable DiscussionTools at all wikis via query string

@ppelberg I assume this requires your approval.

Urbanecm moved this task from Backlog to External on the Wikimedia-Site-requests board.

Change 660873 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[operations/mediawiki-config@master] Enable DiscussionTools as a beta feature on 3 wikis per request

https://gerrit.wikimedia.org/r/660873

matmarex changed the task status from Stalled to Open.Mon, Feb 1, 6:44 PM
matmarex added a subscriber: matmarex.

Scheduled for today: https://wikitech.wikimedia.org/wiki/Deployments#deploycal-item-20210201T1900

Sorry it took us so long to respond!

Change 660873 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable DiscussionTools as a beta feature on 3 wikis per request

https://gerrit.wikimedia.org/r/660873

Mentioned in SAL (#wikimedia-operations) [2021-02-01T19:14:56Z] <urbanecm@deploy1001> Synchronized wmf-config/InitialiseSettings.php: 6360e7899b7dedc29941783b1cdf76df8db073d7: Enable DiscussionTools as a beta feature on 3 wikis per request (T258554; T265829; T273192) (duration: 01m 04s)

The reply tool can now be enabled in beta features. It seems to work! (e.g. https://gom.wiktionary.org/wiki/वापरपी_चर्चा:The_Discoverer). Note that it doesn't work on some old discussion pages (e.g. https://gom.wiktionary.org/wiki/विक्शनरी:Initial_site_settings_discussion) where the date/time in the signature is written in English rather than Goan Konkani.

@matmarex: Thank you! :)
Is it possible for DiscussionTools to be enabled for all users by default (rather for individual users to have to enable it manually)? In our community discussion, we wanted it enabled for every one.

@matmarex: Thank you! :)
Is it possible for DiscussionTools to be enabled for all users by default (rather for individual users to have to enable it manually)? In our community discussion, we wanted it enabled for every one.

@The_Discoverer: are you able to share a link to the page where you all discussed enabling the Reply Tool for everyone gom.wikitionary by default? ...I didn't see anything mentioned in these two discussions.[i][ii]


i. https://gom.wiktionary.org/wiki/%E0%A4%B5%E0%A4%BF%E0%A4%95%E0%A5%8D%E0%A4%B6%E0%A4%A8%E0%A4%B0%E0%A5%80:Initial_site_settings_discussion
ii. https://gom.wiktionary.org/wiki/%E0%A4%B5%E0%A4%BF%E0%A4%95%E0%A5%8D%E0%A4%B6%E0%A4%A8%E0%A4%B0%E0%A5%80:Tintto#Requesting_for_deployment_of_new_talk_page_tools_on_the_Konkani_Wiktionary

@The_Discoverer: are you able to share a link to the page where you all discussed enabling the Reply Tool for everyone gom.wikitionary by default? ...I didn't see anything mentioned in these two discussions.[i][ii]

@ppelberg , you are right; we do most of our discussion on a WhatsApp group these days, and this aspect hasn't been mentioned on-Wiki. I have requested for comment at the following location:
https://gom.wiktionary.org/wiki/Wiktionary:Tintto#Requesting_for_deployment_of_new_talk_page_tools_on_the_Konkani_Wiktionary

@The_Discoverer: are you able to share a link to the page where you all discussed enabling the Reply Tool for everyone gom.wikitionary by default? ...I didn't see anything mentioned in these two discussions.[i][ii]

@ppelberg , you are right; we do most of our discussion on a WhatsApp group these days, and this aspect hasn't been mentioned on-Wiki. I have requested for comment at the following location:
https://gom.wiktionary.org/wiki/Wiktionary:Tintto#Requesting_for_deployment_of_new_talk_page_tools_on_the_Konkani_Wiktionary

Thank you for sharing this additional context, @The_Discoverer; you can expect the Reply Tool to be made available for everyone at gom.wikitionary tomorrow, 18-February-2021.

ppelberg assigned this task to matmarex.Wed, Feb 17, 5:28 PM
ppelberg updated the task description. (Show Details)

Change 664940 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[operations/mediawiki-config@master] Make DiscussionTools' replytool available for everyone on gomwiktionary

https://gerrit.wikimedia.org/r/664940

Change 664940 merged by jenkins-bot:
[operations/mediawiki-config@master] Make DiscussionTools' replytool available for everyone on gomwiktionary

https://gerrit.wikimedia.org/r/664940

Mentioned in SAL (#wikimedia-operations) [2021-02-18T19:27:36Z] <urbanecm@deploy1001> Synchronized wmf-config/InitialiseSettings.php: f33f9f71b13d9b9276df88ef6384ec6028ee2e1d: Make DiscussionTools replytool available for everyone on gomwiktionary (T258554) (duration: 01m 05s)

ppelberg closed this task as Resolved.Sat, Feb 20, 3:17 AM

Done!

Wonderful. @The_Discoverer, if the Reply Tool is not available in the way you expect it to be, please let us know. In the meantime, I'm going to resolve this task.